<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRelationArticlePhotosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('relation_article_photos', function (Blueprint $table) {
            $table->integer('article_id')->nullable();
            $table->string('file_type')->nullable();
            $table->string('file_path')->nullable();
            $table->integer('file_disp')->nullable();
            $table->integer('property')->nullable();
            $table->integer('property_sub')->nullable();
            $table->text('memo')->nullable();
            $table->integer('order')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('relation_article_photos');
    }
}
